#
# spec file for package papirus-icon-theme
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           papirus-icon-theme
Version:        20190302
Release:        1.1
Summary:        Papirus icon theme for Linux
License:        GPL-3.0-only
Group:          System/GUI/Other
URL:            https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Source:         https://github.com/PapirusDevelopmentTeam/papirus-icon-theme/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  xmlstarlet
Requires(post): gtk3-tools
BuildArch:      noarch
%if 0%{?suse_version} < 1500
Requires(post): hicolor-icon-theme
Requires(postun): hicolor-icon-theme
%endif

%description
Papirus is an SVG icon theme, based on Paper with a few extras like
hardcode-tray support, kde-color-scheme support, libreoffice icon theme, filezilla theme, smplayer themes ...)
and other modifications. The theme is available for GTK and KDE.

This package contains the following icon themes:

ePapirus
Papirus
Papirus-Dark
Papirus-Light

%prep
%autosetup

%build

%check
make %{?_smp_mflags} test-all

%install
%make_install
%fdupes %{buildroot}

#remove duplicate LICENSE files
find %{buildroot}%{_datadir}/icons -name LICENSE -delete

%if 0%{?suse_version} < 1500
%post
%icon_theme_cache_post ePapirus
%icon_theme_cache_post Papirus
%icon_theme_cache_post Papirus-Light
%icon_theme_cache_post Papirus-Dark

%postun
%icon_theme_cache_postun ePapirus
%icon_theme_cache_postun Papirus
%icon_theme_cache_postun Papirus-Light
%icon_theme_cache_postun Papirus-Dark
%endif

%files
%doc README.md
%license LICENSE
%{_datadir}/icons/ePapirus
%{_datadir}/icons/Papirus
%{_datadir}/icons/Papirus-Light
%{_datadir}/icons/Papirus-Dark

%changelog
* Sat Mar  2 2019 Matthias Eliasson <elimat@opensuse.org>
- Updated to version 20190302
  - Added icons
  - Updated icons
  - Changes and fixes
  * Added indigo folder color (gh#PapirusDevelopmentTeam/papirus-icon-theme#1632)
  * Added white folder color (gh#PapirusDevelopmentTeam/papirus-icon-theme#1641)
  * Changed color of screens for devices (gh#PapirusDevelopmentTeam/papirus-icon-theme#1626)
  * Changed highlight color for monochrome icons
  * Increased height of 22/24px gnome-mpv icons (gh#PapirusDevelopmentTeam/papirus-icon-theme#1638)
  * Fixed pixel align for Inkscape icon
  * Removed purple folder color (gh#PapirusDevelopmentTeam/papirus-icon-theme#1590)
  - Others
  * Optimized a lot of SVG icons (gh#PapirusDevelopmentTeam/papirus-icon-theme#1656)
* Sun Feb  3 2019 Matthias Eliasson <matthias.eliasson@gmail.com>
- Update to version 20190203
  - Highlights
  * Deepin Cloud Print
  * Deepin Cloud Scan
  * Deepin Desktop Environment Introduction
  * Deepin Draw
  * Deepin Feedback
  * Deepin Launcher
  * Deepin Manual
  * Deepin Movie
  * Deepin Remote Assistance
  * Deepin Repair Tools
  * Deepin Toggle Desktop
  * Mime icon for Deepin Clone
  - Added icons
  - Updated icons
  - Changes and fixes
  * Added attention icons for indicator-kdeconnect
  * Differentiate the MessagingMenu tray icon from the xfce4-notifyd tray icon (gh#PapirusDevelopmentTeam/papirus-icon-theme#1567)
  * Fixed the pixelated sound volume icon on Papirus-Light (gh#PapirusDevelopmentTeam/papirus-icon-theme#1602)
  * Removed app icon for Qt Designer to fix toolbar icons (gh#PapirusDevelopmentTeam/papirus-icon-theme#1600)
* Sun Jan  6 2019 Matthias Eliasson <matthias.eliasson@gmail.com>
- Update to version 20190106
  - Highlights
  * Added a lot of icons and symlinks for Flatpak packages hosted on Flathub
  * Added pink and purple folder color
  - Added icons
  - Updated icons
  - Changes and fixes
  * Added missing Dropbox emblem icon
  * Added Syncthing emblem icons
  * Rename Mullvad icon to mullvad-vpn
* Sun Nov 25 2018 Matthias Eliasson <matthias.eliasson@gmail.com>
- Update to 20181120
  - Highlights
  * Papirus-Adapta and Papirus-Adapta-Nokto icon themes removed (gh#PapirusDevelopmentTeam/papirus-icon-theme#1499)
  * Papirus, Papirus-Dark, and Papirus-Light detached from GTK theme colors (gh#PapirusDevelopmentTeam/papirus-icon-theme#1500)
  - Added Icons
  - Updated Icons
  - Changes and fixes
  * Added audio-volume-* icons to actions as workaround (gh#PapirusDevelopmentTeam/papirus-icon-theme#1526)
  * Added icons of opened folders for elementaryOS Juno (gh#PapirusDevelopmentTeam/papirus-icon-theme#1521)
  * Added mimetype icons that are specific to Google Drive API
  * Added workaround for folder-saved-search icon in toolbars (gh#PapirusDevelopmentTeam/papirus-icon-theme#1510)
  * Changed application-xslt+xml symlink to application-xml (gh#PapirusDevelopmentTeam/papirus-icon-theme#1508)
  * Removed extra icons for Unity Launcher and Unity Tweak Tool
* Tue Oct  9 2018 Matthias Eliasson <matthias.eliasson@gmail.com>
- Update to 20181007
  * Added 23 emoji icons (gh#PapirusDevelopmentTeam/papirus-icon-theme#1460)
  * added a lot icons for Fcitx Input Method Framework (gh#PapirusDevelopmentTeam/papirus-icon-theme#1271)
  * Added new icons
  * Updated icons
  * Added a few symbolic icons for GNOME apps
  * Added icons for CPU Monitor and Network Monitor Docky docklets
  * Added missing icons for GNOME panel applets
* Sun Aug 19 2018 matthias.eliasson@gmail.com
- Update to 20180816
  * Added new icons
  * Updated icons
  * channel-secure-symbolic (gh#PapirusDevelopmentTeam/papirus-icon-theme#1424)
  * Delete ubuntu-mono-dark icon theme from Inherits (gh#PapirusDevelopmentTeam/papirus-icon-theme#1429)
  * Fixed some 16px actions
  * Fixed some Libre Office icons
  * Moved extra/clementine icons to actions & devices
* Sat Jul 21 2018 mimi.vx@gmail.com
- update to 20180720
  * Added new icons
  * Updated icons
  * Support Indicator KDE Connect old version
  * resize network-wireless symbolic & panel
* Fri Jun  8 2018 matthias.eliasson@gmail.com
- Update to 20180601
  * New uniform for several icons (gh#PapirusDevelopmentTeam/papirus-icon-theme#1252)
  * Added new icons
  * Updated icons
  * Added mime icons for various location data formats
  * Fixed 16x16/panel/bumblebee-indicator.svg icon (gh#PapirusDevelopmentTeam/papirus-icon-theme#1278)
  * Added bluegrey folder color to match Adapta-BlueGrey(-Nokto) theme from adapta-gtk-theme-colorpack
  * Add symbolic suffix to Lock Keys icons (gh#PapirusDevelopmentTeam/papirus-icon-theme#1302)
* Tue May  1 2018 matthias.eliasson@gmail.com
- Update to 20180501
  * Added icons
  * Updated icons
  * full changelog: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme/releases/tag/20180501
* Tue Apr  3 2018 matthias.eliasson@gmail.com
- Update to 20180401
  * Added new icons
  * Updated a few icons
  * Colorize some mimes
  * Fix icon sizes on index.theme's (gh#PapirusDevelopmentTeam/papirus-icon-theme#1197)
* Wed Mar 14 2018 matthias.eliasson@gmail.com
- Update to 20180311
  * Added new icons
  * Updated a few icons
  * Fix some icons (gh#PapirusDevelopmentTeam/papirus-icon-theme#1151)
- Update License to follow SPDX-3.0 standard
* Sun Feb 18 2018 matthias.eliasson@gmail.com
- Update to 20180114
  * Added new icons
  * Updaded a few icons
* Thu Feb  1 2018 matthias.eliasson@gmail.com
- Update to 20180201
  * Added symlinks for Flatpak apps (gh#PapirusDevelopmentTeam/papirus-icon-theme#1062)
  * GIMP
  * Glade
  * gitg
  * dconf-editor
  * Android Studio
  * Added some mime symlinks for archives
  * Added microphone-sensitivity-none-symbolic symlink for Cinnamon
    (gh#PapirusDevelopmentTeam/papirus-icon-theme#1095)
  * Changed symbolic mail icons (gh#PapirusDevelopmentTeam/papirus-icon-theme#1076)
  * Fixed Ibus Pinyin (gh#PapirusDevelopmentTeam/papirus-icon-theme#1093)
  * Fixed animation of VPN connection
  * Redesign stars icons (bookmarks, bookmarks-missing, plasmagik, COH2)
* Sun Jan 21 2018 matthias.eliasson@gmail.com
- Update to 20180116
  * License changed from LGPL-3.0 to GPL-3.0
  * Added new icons
  * Updated a few icons
  * Added missing folder-torrent symlink
  * Fixed icon names for kdeconnect-indicator
  * Changed the white color to more lighter
- Update copyright year to 2018 of spec
- Remove duplicate LICENSE files in package
* Sun Dec 31 2017 jengelh@inai.de
- Trim redundant filler words and notes for other operating systems.
* Sat Dec 30 2017 matthias.eliasson@gmail.com
- Update to 20171223
  * Added several icons for Deepin DE
  * Rename icons for apps by @artemanufrij (gh#PapirusDevelopmentTeam/papirus-icon-theme#925,#931)
  * Removed help-about icon from apps (gh#PapirusDevelopmentTeam/papirus-icon-theme#926)
* Sun Dec 10 2017 matthias.eliasson@gmail.com
- Initial commit
